[PATCH] osmo-sip-connector[master]: jenkins.sh: use osmo-build-dep.sh, log test failures

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Thu Oct 6 23:54:46 UTC 2016


Review at  https://gerrit.osmocom.org/1026

jenkins.sh: use osmo-build-dep.sh, log test failures

Like in libosmo-abis' and other jenkins.sh

Change-Id: I1b03786069cc4373dec73711e3a31ec05dfac2e3
---
M contrib/jenkins.sh
1 file changed, 26 insertions(+), 15 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-sip-connector refs/changes/26/1026/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index fb4e2f2..588634e 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,20 +2,31 @@
 
 set -ex
 
-rm -rf deps/install
-mkdir deps || true
-cd deps
-osmo-deps.sh libosmocore
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
 
-cd libosmocore
+mkdir "$deps" || true
+rm -rf "$inst"
+
+osmo-build-dep.sh libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== osmo-sip-connector ==============================="
+echo
+set -x
+
 autoreconf --install --force
-./configure --prefix=$PWD/../install
-$MAKE $PARALLEL_MAKE install
-
-cd ../../
-autoreconf --install --force
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig ./configure --enable-vty-tests --enable-external-tests
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig $MAKE $PARALLEL_MAKE
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE check
-PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig LD_LIBRARY_PATH=$PWD/deps/install/lib $MAKE distcheck
-
+./configure --enable-vty-tests --enable-external-tests
+$MAKE $PARALLEL_MAKE
+$MAKE check \
+  || cat-testlogs.sh
+$MAKE distcheck \
+  || cat-testlogs.sh

-- 
To view, visit https://gerrit.osmocom.org/1026
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I1b03786069cc4373dec73711e3a31ec05dfac2e3
Gerrit-PatchSet: 1
Gerrit-Project: osmo-sip-connector
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>



More information about the gerrit-log mailing list